/*@import "../fonts/sp/stylesheet.css";*/
:root {
  --theme-color: #000000;/*#1f459c*/
  --btn-color: var(--theme-color);
  --btn-color-rgb: 0, 0, 0;
  --theme-yellow: #ffce04;
  --theme-aqua: #ded5ca;
  --theme-green: #78c9af;
  --whatsapp-color: #06d755;
  --input-border-color: #ced4da;
}
body {
  font-size: .875rem;
  /*font-family: 'Sofia Pro';*/
}
.btn-dark{
  background-color: var(--btn-color);
  border-color: var(--btn-color);
}
.border-dark {
    border-color: var(--btn-color) !important;
}
.btn-outline-dark{
  border-color: var(--btn-color);
  color: var(--btn-color);
}
.page-link{
  color: var(--theme-color);
}
.page-link:hover{
  color: rgba(var(--btn-color-rgb), 0.9);
}
.btn-dark:hover,
.btn-dark:focus, .btn-dark.focus,
.btn-dark:not(:disabled):not(.disabled):active, .btn-dark:not(:disabled):not(.disabled).active
{
    background-color: rgba(var(--btn-color-rgb), 0.9);
    border-color: rgba(var(--btn-color-rgb), 0.9);
}
.btn-outline-dark:hover,
.btn-outline-dark:not(:disabled):not(.disabled):active, .btn-outline-dark:not(:disabled):not(.disabled).active, .show > .btn-outline-dark.dropdown-toggle{
  color: #fff;
  background-color: var(--btn-color);
  border-color: var(--btn-color);
}
.bg-dark {
    background-color: var(--theme-color) !important;
}
.badge-dark{
  background-color: var(--theme-color);
}
.text-dark {
    color: var(--btn-color) !important;
}
.border-left-dark{
  border-left: .25rem solid var(--theme-color) !important;
}
.min-width-350{
  min-width: 350px;
}
.min-width-150{
  min-width: 150px;
}

.feather {
  width: 16px;
  height: 16px;
  vertical-align: text-bottom;
}

/*
 * Sidebar
 */

.sidebar {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  z-index: 100; /* Behind the navbar */
  padding: 48px 0 0; /* Height of navbar */
  box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);
}
.rtl .sidebar{
  left: auto;
  right: 0;
}

.sidebar-sticky {
  position: relative;
  top: 0;
  height: calc(100vh - 48px);
  padding-top: .5rem;
  overflow-x: hidden;
  overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
}

@supports ((position: -webkit-sticky) or (position: sticky)) {
  .sidebar-sticky {
    position: -webkit-sticky;
    position: sticky;
  }
}

.sidebar .nav-link,.nav .nav-link {
  font-weight: 500;
  color: #333;
}

.sidebar .nav-link .feather {
  margin-right: 4px;
  color: #999;
}

.sidebar .nav-link.active,.nav .nav-link.active {
  color: var(--theme-color);
  background-color: var(--theme-aqua);
}

.sidebar .nav-link:hover .feather,
.sidebar .nav-link.active .feather {
  color: inherit;
}

.sidebar-heading {
  font-size: .75rem;
  text-transform: uppercase;
}

/*
 * Navbar
 */

.navbar-brand {
  padding-top: .75rem;
  padding-bottom: .75rem;
  font-size: 1rem;
}

.navbar .navbar-toggler {
  top: .25rem;
  right: 1rem;
}

.navbar .form-control {
  padding: .75rem 1rem;
  border-width: 0;
  border-radius: 0;
}

.form-control-dark {
  color: #fff;
  background-color: rgba(255, 255, 255, .1);
  border-color: rgba(255, 255, 255, .1);
}

.form-control-dark:focus {
  border-color: transparent;
  box-shadow: 0 0 0 3px rgba(255, 255, 255, .25);
}

.form-signin {
  width: 100%;
  padding: 15px;
  margin: auto;
}
.form-signin .checkbox {
  font-weight: 400;
}
.form-signin .form-control {
  position: relative;
  box-sizing: border-box;
  height: auto;
  padding: 10px;
  font-size: 16px;
}
.form-signin .form-control:focus {
  z-index: 2;
}
.form-signin input[type="email"] {
  margin-bottom: -1px;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}
.form-signin input[type="password"] {
  margin-bottom: 10px;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}
/*tree start*/
.bstreeview .item-icon{
  padding-right: 10px;
}
.rtl .bstreeview .item-icon{
  padding-right: 0px;
  padding-left: 10px;
}
/*tree end*/
/*select2 start*/
.select2-container--default .select2-selection--multiple,
.select2-container--default .select2-selection--single{
  min-height: 40px;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}
.select2-container--default .select2-selection--multiple,
.select2-container--default .select2-selection--single{
  border-color: var(--input-border-color);
}
.select2-container--default .select2-selection--single{
  font-size: 1rem;
}
.select2-container .select2-selection--single .select2-selection__rendered{
  line-height: 40px;
}
.select2-container--default .select2-selection--single .select2-selection__clear,
.select2-container--default .select2-selection--single .select2-selection__arrow{
  min-height: 40px;
}
.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable{
  background-color: var(--btn-color);
}
.action-btn a{
  color: var(--theme-color);
}
.images-preview-row img{
  padding: 5px;
  border: 1px solid #f8f9fa;
  height: 200px;
  object-fit: contain;
}
.images-col .custom-file-label{
  overflow: hidden;
}
img.table-img{
  width: 125px;
  height: 125px;
  object-fit: contain;
}
.bg-rounded{
  color: #fff;
    background-color: var(--theme-color);
    border-radius: 50%;
    display: table-cell;
    text-align: center;
    height: 50px;
    width: auto;
    min-width: 50px;
    vertical-align: middle;
    padding: 5px;
}
/*select2 start*/
@media (max-width: 767.98px) {

}
@media (min-width: 768px) {
  .form-signin {
    max-width: 450px;
  }
  .input-group-text.fixed-md-width{
    min-width: 150px;
  }
}
